跳到內容
開放式卡斯塔利控制台

影片

MiniMax-H3 API

透過 Modelflare 非同步視訊路由使用準確的 MiniMax-H3 模型 ID。

使用準確的型號 ID MiniMax-H3。模型欄位必須與此頁面完全相符。

範例輸出MiniMax-H3POST /v1/videos5.2s

參數: duration=5resolution=2Kratio=16:9

提示詞: A fleet of hot-air balloons drifts over mist-filled mountain valleys at dawn. Aerial camera glides slowly between the balloons as golden light breaks over the ridges and fog rolls through the pines below. Calm, majestic, photoreal landscape, steady motion, no text.

產生此樣本的請求
{
"model": "MiniMax-H3",
"prompt": "A fleet of hot-air balloons drifts over mist-filled mountain valleys at dawn. Aerial camera glides slowly between the balloons as golden light breaks over the ridges and fog rolls through the pines below. Calm, majestic, photoreal landscape, steady motion, no text.",
"seconds": "5",
"duration": 5,
"resolution": "2K",
"ratio": "16:9",
"aspect_ratio": "16:9"
}

將 Modelflare API 金鑰與 https://modelflare.dev/v1 結合使用。網關入口點是POST /v1/videos。

HTTP
Authorization: Bearer YOUR_MODELFLARE_API_KEY
終端機視窗bash
curl https://modelflare.dev/v1/videos \
-H "Authorization: Bearer YOUR_MODELFLARE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "MiniMax-H3",
"content": [{"type": "text", "text": "A white cat runs through a neon-lit street in the rain, cinematic tracking shot"}],
"resolution": "2K", "duration": 5, "ratio": "16:9"
}'

儲存任務ID。輪詢 GET /v1/videos/{task_id} 並使用 GET /v1/videos/{task_id}/content 下載。結果 URL 可能會過期,因此請立即傳輸檔案。

終端機視窗bash
curl https://modelflare.dev/v1/videos/TASK_ID \
-H "Authorization: Bearer YOUR_MODELFLARE_API_KEY"

MiniMax-H3 使用 content[] 和 resolution、duration 和 ratio 控制輸出。

MiniMax-H3 使用多模態 content[] 陣列。任務建立後輪詢MiniMax查詢路徑; first_frame / last_frame 和 reference_* 角色是不同的工作流程。

場 必填 註釋
model 是 MiniMax-H3
content[] 是 恰好一項 text 項;可能包括 first_frame、last_frame、reference_image、reference_video 或 reference_audio
resolution 是 768P / 2K
duration 是 4–15 秒
ratio 有條件 21:9 / 16:9 / 4:3 / 1:1 / 3:4 / 9:16 / adaptive
content[].role 有條件 使用first_frame/last_frame進行影像轉視頻,使用reference_*進行參考工作流程;不要混合組
content[].url 否 需要公共 HTTP/HTTPS URL;不支援 Base64 媒體
aigc_watermark 否 是否添加浮水印
callback_url 否 任務狀態回呼URL

輸出為 768P 或 2K,持續 4-15 秒。純文字請求需要具體的 ratio;圖像到視頻允許第一幀和最後一幀,而參考工作流程需要至少一個參考圖像或視頻,並且不能單獨使用音頻。不要混合這兩個角色組。

MiniMax-H3 媒體 URL 必須可公開存取且不能使用 Base64;第一/結束幀和參考工作流程不得混合。

終端機視窗bash
curl https://modelflare.dev/v1/videos \
-H "Authorization: Bearer YOUR_MODELFLARE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "MiniMax-H3",
"content": [
{"type": "text", "text": "让图像主体沿视频动作自然移动"},
{"type": "reference_image", "role": "reference_image", "url": "https://example.com/subject.png"},
{"type": "reference_video", "role": "reference_video", "url": "https://example.com/motion.mp4"}
],
"resolution": "2K", "duration": 5, "ratio": "16:9"
}'

無效模型參數傳回帶有請求 ID 的 4xx。非同步任務建立成功後也可能進入失敗;使用輪詢回應中的 error_code 和 error_message 作為最終任務原因。不要使用不同的 JSON 形狀重試相同的請求。

此頁面涵蓋 Modelflare 模型產生和編輯呼叫。搜尋或地圖豐富、語音管理和元素庫管理是此公共模型呼叫表面之外的資源 API,並且不是必需的請求欄位。

此模型採用按秒視訊計費。請參閱 型號定價頁面 ,以了解當前客戶價格、參考標價和完整規格。

型號 ID 差異
MiniMax-H3 本頁記錄的模型。
媒體合約 · v1

合約 ID: media.minimax-h3.v1適配器: video.minimax.v1@v1指紋: a52dc9d8a16881ce546c9857c6acf87007068498eb2baec2972d91a3c9ba531c

官方來源: MiniMax

合約參數

意圖字段控制項選項
ratioselect16:9 / 9:16 / 1:1 / 4:3 / 3:4 / 21:9 / adaptive
resolutionselect768p / 2k
durationselect4 / 5 / 6 / 8 / 10 / 15

支援的功能

  • allowed_values · ratio · 16:9, 9:16, 1:1, 4:3, 3:4, 21:9, adaptive
  • allowed_values · resolution · 768p, 2k
  • allowed_values · duration · 4, 5, 6, 8, 10, 15
  • max_assets · reference_asset_ids · 12

結構化請求範例

text

意圖

{
  "duration": 4,
  "prompt": "A red paper kite over a quiet harbour at dusk.",
  "ratio": "16:9",
  "resolution": "768p"
}

提供者請求

{
  "duration": 4,
  "model": "MiniMax-H3",
  "prompt": "A red paper kite over a quiet harbour at dusk.",
  "ratio": "16:9",
  "resolution": "768p",
  "seconds": "4"
}

reference

意圖

{
  "duration": 4,
  "prompt": "A red paper kite over a quiet harbour at dusk.",
  "ratio": "16:9",
  "resolution": "768p"
}

提供者請求

{
  "content": [
    {
      "text": "A red paper kite over a quiet harbour at dusk.",
      "type": "text"
    },
    {
      "image_url": {
        "url": "https://example.com/reference.png"
      },
      "role": "reference_image",
      "type": "image_url"
    }
  ],
  "duration": 4,
  "model": "MiniMax-H3",
  "ratio": "16:9",
  "resolution": "768P"
}